Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.registry
Class ConnectInfo

    java.lang.Object
      com.bea.wsrp.registry.ConnectInfo

    public class ConnectInfo

extends Object

Specifies connection properties to connect to a UDDI registry.

Constructor Summary
`ConnectInfo()`

Method Summary
`String` | `getInquiryUrl()` Returns inquiry URL.
`int` | `getMaxResults()`
`Properties` | `getProperties()` Returns properties.
`void` | `setInquiryUrl(String inquiryUrl)` Sets inquiry URL.
`void` | `setMaxResults(int maxResults)`
`void` | `setProperties(Properties properties)` Sets custom properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectInfo

    public ConnectInfo()

Method Detail

### getInquiryUrl

    public String getInquiryUrl()

  Returns inquiry URL.

  Returns
    URL

### setInquiryUrl

    public void setInquiryUrl(String inquiryUrl)

  Sets inquiry URL.

  Parameters
    `inquiryUrl` - URL

### getMaxResults

    public int getMaxResults()

### setMaxResults

    public void setMaxResults(int maxResults)

### getProperties

    public Properties getProperties()

  Returns properties.

  Returns
    properties

### setProperties

    public void setProperties(Properties properties)

  Sets custom properties. These are implementation-specific properties that the registry implementation may require.

  Parameters
    `properties` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.